Bug 381611 - Downloading Packages dialog could be a little more informative
Downloading Packages dialog could be a little more informative
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 00:38 EST by Rodd Clarkson
Modified: 2008-05-28 15:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2007-11-14 00:38:45 EST
Description of problem:

The downloading packages dialog is a little sparse with regard to feedback.

The following additions to the dialog might make it a lot more user friendly

1. An indication of how many packages are being downloaded and how many have
been downloaded so far.
2. An indication of what package is currently being downloaded and how big it is.

It might be interesting to see if you could actually have two progress bars, one
for the current package and one for the total of all the downloads.

While the sparse dialog is suitable for one of two packages with a fast
connection, people with slower connections who are downloading a lot of packages
(and dependencies) may be left wondering if anything is actually happening. 
Something needs to be done to give more visual feedback that something is
actually happening.

(In my case I'm on a 256/64 ADSL connection and I'm downloading enough packages
that I can't be sure the progress bar has moved while I've typed out this bug
report.)


Version-Release number of selected component (if applicable):

pirut-1.3.25-2.fc8
Comment 1 Ryan Duval 2008-01-29 15:39:13 EST
And in connection with bug 426448, showing the file download information would
be helpful too.
Comment 2 Jeremy Katz 2008-05-28 15:17:06 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.